Page MenuHomePhabricator

Cable mr1-codfw<->cr1/2-codfw through asw-a-codfw
Closed, ResolvedPublic0 Story Points

Description

Prerequisite for T224250

  • Connect mr1-codfw:ge-0/0/1<-> asw-a-codfw:ge-1/0/47, get cable ID{2066] [Papaul] (anytime)
  • Set the cable IDs bellow [Arzhel]
  • Push the following [Arzhel] (anytime):
asw-a-codfw
[edit interfaces interface-range disabled]
-    member ge-1/0/47;
[edit interfaces]
+   ge-1/0/47 {
+       description "Core: mr1-codfw:ge-0/0/1 {2066}";
+       mtu 9192;
+       unit 0 {
+           family ethernet-switching {
+               interface-mode trunk;
+               vlan {
+                   members [ XLink1 XLink2 ];
+               }
+           }
+       }
+   }
[edit vlans]
+   XLink1 {
+       description "cr1-codfw <-> mr1-codfw";
+       vlan-id 401;
+   }
+   XLink2 {
+       description "cr2-codfw <-> mr1-codfw";
+       vlan-id 402;
+   }
[edit interfaces ae1 unit 0 family ethernet-switching vlan]
-       members [ public1-a-codfw private1-a-codfw sandbox1-a-codfw ];
+       members [ public1-a-codfw private1-a-codfw sandbox1-a-codfw XLink1 XLink2 ];
[edit interfaces ae2 unit 0 family ethernet-switching vlan]
-       members [ public1-a-codfw private1-a-codfw sandbox1-a-codfw ];
+       members [ public1-a-codfw private1-a-codfw sandbox1-a-codfw XLink1 XLink2 ];

In a window:

  • Downtime codfw mgmt devices, mr1 and cr interfaces alerts
  • Push the following [Arzhel]
mr1-eqiad
[edit interfaces ge-0/0/0]
-   description "Core: msw1-codfw:ge-0/0/32 {#10710} [1Gbps Cu]";
-   vlan-tagging;
-   encapsulation flexible-ethernet-services;
-   unit 0 {
-       vlan-id 1;
-       family inet {
-           address 10.193.0.1/16;
-       }
-   }
-   unit 401 {
-       description cr1-codfw:xe-5/3/3;
-       vlan-id 401;
-       family inet {
-           address 208.80.153.207/31;
-       }
-       family inet6 {
-           address 2620:0:860:fe05::2/64;
-       }
-   }
-   unit 402 {
-       description cr2-codfw:xe-5/3/3;
-       vlan-id 402;
-       family inet {
-           address 208.80.153.209/31;
-       }
-       family inet6 {
-           address 2620:0:860:fe06::2/64;
-       }
-   }                                   
+   description "Core: msw1-codfw:ge-0/0/32 {#10710} [1Gbps Cu]";
+   unit 0 {
+       family inet {
+           address 10.193.0.1/16;
+       }
+   }
+   unit 401 {
+       description cr1-codfw:xe-5/3/3;
+       vlan-id 401;
+       family inet {
+           address 208.80.153.207/31;
+       }
+       family inet6 {
+           address 2620:0:860:fe05::2/64;
+       }
+   }
+   unit 402 {
+       description cr2-codfw:xe-5/3/3;
+       vlan-id 402;
+       family inet {
+           address 208.80.153.209/31;
+       }
+       family inet6 {
+           address 2620:0:860:fe06::2/64;
+       }
+   }
[edit interfaces ge-0/0/1]
+   description "Core: asw-a-codfw:ge-1/0/47 {2066}";
+   vlan-tagging;                       
+   encapsulation flexible-ethernet-services;
[edit interfaces ge-0/0/1]
-    unit 0 {
-        family ethernet-switching;
-    }
+    unit 401 {
+        description cr1-codfw:ae1.401;
+        vlan-id 401;
+        family inet {
+            address 208.80.153.207/31;
+        }
+        family inet6 {
+            address 2620:0:860:fe05::2/64;
+        }
+    }
+    unit 402 {
+        description cr2-codfw:ae1.402;
+        vlan-id 402;
+        family inet {
+            address 208.80.153.209/31;
+        }
+        family inet6 {
+            address 2620:0:860:fe06::2/64;
+        }
+    }
[edit protocols ospf area 0.0.0.0]
!     interface ge-0/0/2.0 { ... }
!     interface lo0.0 { ... }
[edit protocols ospf area 0.0.0.0]      
      interface lo0.0 { ... }
+     interface ge-0/0/1.401 {
+         interface-type p2p;
+         metric 20000;
+     }
+     interface ge-0/0/1.402 {
+         interface-type p2p;
+         metric 20000;
+     }
      interface ge-0/0/0.0 { ... }
[edit protocols ospf area 0.0.0.0]
-     interface ge-0/0/0.401 {
-         interface-type p2p;
-         metric 20000;
-     }
-     interface ge-0/0/0.402 {
-         interface-type p2p;
-         metric 20000;
-     }
[edit protocols ospf3 area 0.0.0.0]
!     interface ge-0/0/2.0 { ... }
!     interface lo0.0 { ... }
[edit protocols ospf3 area 0.0.0.0]
      interface lo0.0 { ... }
+     interface ge-0/0/1.401 {
+         interface-type p2p;
+         metric 20000;
+     }
+     interface ge-0/0/1.402 {          
+         interface-type p2p;
+         metric 20000;
+     }
      interface ge-0/0/0.0 { ... }
[edit protocols ospf3 area 0.0.0.0]
-     interface ge-0/0/0.401 {
-         interface-type p2p;
-         metric 20000;
-     }
-     interface ge-0/0/0.402 {
-         interface-type p2p;
-         metric 20000;
-     }
cr1-codfw
[edit interfaces xe-5/3/3]
-    unit 0 {
-        description "Core: mr1-codfw:ge-0/0/0.401";
-        family inet {
-            address 208.80.153.206/31;
-        }
-        family inet6 {
-            address 2620:0:860:fe05::1/64;
-        }
-    }
[edit interfaces ae1]
+    unit 401 {
+        apply-groups-except vrrp;
+        description "Core: mr1-codfw:ge-0/0/0.401";
+        vlan-id 401;
+        family inet {
+            mtu 1500;
+            address 208.80.153.206/31;
+        }
+        family inet6 {
+            mtu 1500;
+            address 2620:0:860:fe05::1/64;
+        }
+    }
[edit protocols ospf area 0.0.0.0]
      interface xe-5/2/1.0 { ... }
+     interface ae1.401 {
+         interface-type p2p;
+         metric 20000;
+     }
-     interface xe-5/3/3.0 {
-         interface-type p2p;
-         metric 20000;
-     }
[edit protocols ospf3 area 0.0.0.0]
      interface xe-5/2/1.0 { ... }
+     interface ae1.401 {
+         interface-type p2p;
+         metric 20000;
+     }
-     interface xe-5/3/3.0 {
-         interface-type p2p;
-         metric 20000;
-     }
cr2-codfw
[edit interfaces]
-   xe-5/3/3 {
-       description "Core: msw1-codfw:xe-0/1/2 {#10712} [10Gbps DF]";
-       unit 0 {
-           description "Core: mr1-codfw:ge-0/0/0.402";
-           family inet {
-               address 208.80.153.208/31;
-           }
-           family inet6 {
-               address 2620:0:860:fe06::1/64;
-           }
-       }
-   }
[edit interfaces ae1]
+    unit 402 {
+        apply-groups-except vrrp;
+        description mr1-codfw:ge-0/0/1.402;
+        vlan-id 402;
+        family inet {
+            mtu 1500;
+            address 208.80.153.208/31;
+        }
+        family inet6 {
+            mtu 1500;
+            address 2620:0:860:fe06::1/64;
+        }
+    }
[edit protocols ospf area 0.0.0.0]
      interface xe-5/0/1.0 { ... }
+     interface ae1.402 {               
+         interface-type p2p;
+         metric 20000;
+     }
-     interface xe-5/3/3.0 {
-         interface-type p2p;
-         metric 20000;
-     }
[edit protocols ospf3 area 0.0.0.0]
      interface xe-5/0/1.0 { ... }
+     interface ae1.402 {
+         interface-type p2p;
+         metric 20000;
+     }
-     interface xe-5/3/3.0 {
-         interface-type p2p;
-         metric 20000;
-     }
  • Check that both ospf and ospf3 sessions are up between mr1 and cr1/2 [Arzhel]
  • Disconnect msw1-codfw<->cr1/2-codfw (and remove optics) [Papaul]

Related Objects

Event Timeline

ayounsi triaged this task as Normal priority.Jul 15 2019, 10:13 PM
ayounsi created this task.
Restricted Application added a project: Operations. · View Herald TranscriptJul 15 2019, 10:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ayounsi updated the task description. (Show Details)Jul 15 2019, 10:19 PM

@ayounsi please pick a day and time sometimes next week (Mon - Wed) and let me know.

Thanks

Papaul updated the task description. (Show Details)Mon, Jul 22, 5:30 PM
ayounsi updated the task description. (Show Details)Wed, Jul 24, 5:07 PM

Mentioned in SAL (#wikimedia-operations) [2019-07-24T17:10:27Z] <XioNoX> Add mr1-codfw<->cr1/2-codfw vlan/link config on asw-a-codfw - T228112

ayounsi updated the task description. (Show Details)Wed, Jul 24, 5:11 PM

Scheduled for the 30st at 15:00UTC (1h total). Let me know if it needs to be rescheduled.

Mentioned in SAL (#wikimedia-operations) [2019-08-01T15:47:55Z] <XioNoX> start codfw mgmt work - T228112

ayounsi closed this task as Resolved.Thu, Aug 1, 7:57 PM

This is done.